Skip to main content
GET
Fetch spent credits transactions

Filtering

The /api/auth/transactions/spent_credits/ endpoint allows you to get all spent credits grouped by endpoints in the period.

Period

Must be on of: day, week, month, quarter, year.

Date

  • Date: yyyy-mm-dd
    Example: 2025-01-01
  • Date and Time: yyyy-mm-ddTHH:MM:SS.ssssss
    Example: 2025-01-01T02:03:04.000000

Authorizations

Authorization
string
header
required

Use the required Token prefix. Example: Authorization: Token xxxxxxxxx

Query Parameters

timezone
string
required

Timezone for date calculations

period
enum<string>
required

The aggregation period for transactions

Available options:
day,
week,
month,
quarter,
year
start_date
string<date>
required

The start date for the transaction filter (ISO 8601 format)

end_date
string<date>
required

The end date for the transaction filter (ISO 8601 format)

Response

200 - application/json

A list of transactions for the specified period and date range

spent_credits
object
Example:
total_spent_credits
number
Example:

-8349